function [regs] = remove_edge_duplicated(regs)
% Remove Duplications from the edge indices
for i=2:length(regs)
    wg = regs{i};
    for ii=i+1:length(regs)
        [overlap_ind, ia, ib] = intersect(wg.edge, regs{ii}.edge);
        regs{ii}.edge(ib) = [];
    end
end

return;